package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.RenewalsInfosDTO;
import com.diagbot.entity.UserRenewals;
import com.diagbot.entity.wrapper.UserRenewalsWrapper;

import java.util.List;

/**
 * <p>
 * 用户续费申请表 服务类
 * </p>
 *
 * @author gaodm
 * @since 2018-10-12
 */
public interface UserRenewalsService extends IService<UserRenewals> {

    /**
     * 根据用户id查询用户提交续费申请的产品id
     * @param userId
     * @return
     */
    public List<Long> selectProductIdByUserId(Long userId);

    /**
     * 查询续费相关信息系
     * @param page
     * @param userRenewalsWrapper
     * @return
     */
    public IPage<RenewalsInfosDTO> selectUserRenewals(Page page,UserRenewalsWrapper userRenewalsWrapper);

    /**
     * 根据续费id删除续费信息
     * @param id
     * @return
     */
    public Boolean deleteUserRenewals(Long id);
    /**
     * 根据续费单号修改续费状态
     * @param userRenewals
     * @return
     */
    public boolean updateRenewalStutas(UserRenewals userRenewals);
}
