package com.diagbot.client;

import com.diagbot.client.hystrix.DiagbotmanServiceHystrix;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.ServiceFilter;
import com.diagbot.entity.ServiceToken;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;


/**
 * @Description: 产品服务客户端
 * @Author: ztg
 * @Date: 2018/9/18 15:19
 */
@FeignClient(value = "diagbotman-service", fallback = DiagbotmanServiceHystrix.class)
public interface DiagbotmanServiceClient {

    @PostMapping("/service_filter/getAll")
    RespDTO<List<ServiceFilter>> getAll();

    @PostMapping("/serviceToken/hasPermission")
    RespDTO<Boolean> hasPermission(@RequestBody ServiceToken st);

}



