package com.diagbot.client;

import java.util.List;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

import com.diagbot.client.hystrix.DiagbotmanServiceHystrix;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.UserAndProdutUDTO;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 
 * @Description: 调用产品服务
 * @author wangfeng
 * @date 2018年9月26日 下午2:05:45
 */
@FeignClient(value = "diagbotman-service",fallback = DiagbotmanServiceHystrix.class )
public interface DiagbotmanClient {
	
	@PostMapping(value = "/productOrder/getInformationAvailableAll")
	public RespDTO<List<UserAndProdutUDTO>> getInformationAvailableAll(@RequestBody List<Long> userIds);

}
