package com.diagbot.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.diagbot.enums.AuthStatusEnum;
import com.diagbot.enums.OrganizationTypeEnum;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangfeng
 * @Description: 用户信息类表
 * @date 2018年9月17日 下午4:35:35
 */
@Getter
@Setter
public class UserInfoDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long userId;//用户ID
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date userGmtCreate;//记录创建时间
    private Date userGmtModified;//认证时间
    private String userName;// 用户名
    private String linKman;//联系人
    private String email;// 邮箱
    @TableId(value = "id", type = IdType.AUTO)
    private Long orgId;//机构ID
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date orgGmtCreate;//记录创建时间
    private String orgName;//机构名称
    private Integer orgType;//机构属性
    private String orgTypeStr;//机构属性String
    private String orgPrincipal;//负责人
    private String orgAddress;//机构地址
    private Long orgParentId;//上级机构id
    private Integer orgSubNum;//下属机构数量
    private String autPosition;//岗位信息
    private Integer autIsReject;//是否通过认证 N:未通过，Y:已通过
    private Integer autStatus;//认证状态
    private String autStatusStr;//认证状态String
    List<UserAndProdutUDTO> userAndProdutUDTO;

    public  String getOrgTypeStr(){
        return OrganizationTypeEnum.getName(this.orgType);
    }

    public  String getAutStatusStr(){
        return AuthStatusEnum.getName(this.autStatus);
    }
}
